NX Open C++ Reference Guide
Public Types | Public Member Functions | List of all members
NXOpen::Weld::WeldGrooveBuilder Class Reference

Represents a NXOpen::Weld::WeldGroove builder
To create a new instance of this class, use NXOpen::Weld::WeldManager::CreateWeldGroove1Builder
Default values. More...

Inheritance diagram for NXOpen::Weld::WeldGrooveBuilder:
NXOpen::Features::FeatureBuilder NXOpen::Builder NXOpen::TaggedObject NXOpen::GeometricUtilities::IComponentBuilder

Public Types

enum  Contour { ContourNone, ContourConvex, ContourFlush, ContourConcave }
 The options for Contour Type. More...
 
enum  Edge { EdgeNotPrepared, EdgePrepared }
 A value indicating whether the edges have been prepared. More...
 
enum  Prepare { PrepareNone, PrepareEntireLength, PrepareWeldLimits, PrepareComplex }
 The type of edges to be prepared. More...
 
enum  SkipWeldMethod { SkipWeldMethodNumberLength, SkipWeldMethodNumberSpacing, SkipWeldMethodSpacingLength }
 The options for creating Skip Weld. More...
 
enum  Taper { TaperFromEndFace, TaperFromTopFace }
 The type of Taper Method. More...
 
enum  Types {
  TypesSquareButt, TypesVGroove, TypesBevelGroove, TypesUGroove,
  TypesJGroove, TypesFlaredVGroove, TypesFlaredBevelGroove, TypesFillinFlaredVGroove,
  TypesFillinFlaredBevelGroove
}
 The types of Groove to create. More...
 

Public Member Functions

bool AssignWeldPMI ()
 Returns a value indicating whether the assign weld pmi is true
Created in NX9.0.0. More...
 
NXOpen::Weld::CharacteristicsBuilderCharacteristics ()
 Returns the characteristics
Created in NX9.0.0. More...
 
NXOpen::ExpressionContourHeight ()
 Returns the contour height
Created in NX9.0.0. More...
 
NXOpen::Weld::WeldGrooveBuilder::Contour ContourType ()
 Returns the contour type
Created in NX9.0.0. More...
 
bool CreateSkipWelds ()
 Returns a value indicating whether to create skip welds
Created in NX9.0.0. More...
 
double DistanceTolerance ()
 Returns the distance tolerance
Created in NX9.0.0. More...
 
NXOpen::SectionEdgeSet1 ()
 Returns the first edge set
Created in NX9.0.0. More...
 
NXOpen::SectionEdgeSet2 ()
 Returns the second edge set
Created in NX9.0.0. More...
 
NXOpen::Weld::WeldGrooveBuilder::Edge EdgeType ()
 Returns the edge type
Created in NX9.0.0. More...
 
NXOpen::ExpressionEndAngle ()
 Returns the taper angle at the end of the weld
Created in NX9.0.0. More...
 
NXOpen::GeometricUtilities::OnPathDimensionBuilderEndDistance ()
 Returns the end limit as defined by the distance along the edge
Created in NX9.0.0. More...
 
NXOpen::ScCollectorFaceSet1 ()
 Returns the face set1
Created in NX9.0.0. More...
 
NXOpen::ScCollectorFaceSet2 ()
 Returns the face set2
Created in NX9.0.0. More...
 
NXOpen::ExpressionGrooveAngle ()
 Returns the groove angle
Created in NX9.0.0. More...
 
NXOpen::ExpressionGrooveRadius ()
 Returns the groove radius
Created in NX9.0.0. More...
 
bool IsRootOpening ()
 Returns a value indicating whether root opening is true
Created in NX9.0.0. More...
 
bool IsRootPenetration ()
 Returns a value indicating whether root depth is true
Created in NX9.0.0. More...
 
NXOpen::Weld::WeldGrooveBuilder::SkipWeldMethod Method ()
 Returns the method for creating skip welds
Created in NX9.0.0. More...
 
NXOpen::ExpressionNumberOfWelds ()
 Returns the number of welds
Created in NX9.0.0. More...
 
NXOpen::ExpressionPenetrationDepth ()
 Returns the penetration depth
Created in NX9.0.0. More...
 
NXOpen::Weld::WeldGrooveBuilder::Prepare PrepareEdges ()
 Returns the type of edges to prepare
Created in NX9.0.0. More...
 
bool RecreateDeletedWelds ()
 Returns a value indicating whether to recreate deleted welds
Created in NX9.0.0. More...
 
NXOpen::ExpressionRootOpening ()
 Returns the root opening
Created in NX9.0.0. More...
 
NXOpen::ExpressionRootPenetration ()
 Returns the root penetration
Created in NX9.0.0. More...
 
NXOpen::ExpressionSecondPenetrationDepth ()
 Returns the second penetration depth
Created in NX9.0.0. More...
 
NXOpen::FaceSeedFace1 ()
 Returns the first seed face
Created in NX9.0.0. More...
 
NXOpen::FaceSeedFace2 ()
 Returns the second seed face
Created in NX9.0.0. More...
 
NXOpen::Point3d SeedPoint1 ()
 Returns the point on the first face
Created in NX9.0.0. More...
 
NXOpen::Point3d SeedPoint2 ()
 Returns the point on the second face
Created in NX9.0.0. More...
 
NXOpen::ExpressionSegmentLength ()
 Returns the length of weld
Created in NX9.0.0. More...
 
void SetAssignWeldPMI (bool assignWeldPMI)
 Sets a value indicating whether the assign weld pmi is true
Created in NX9.0.0. More...
 
void SetContourType (NXOpen::Weld::WeldGrooveBuilder::Contour contour)
 Sets the contour type
Created in NX9.0.0. More...
 
void SetCreateSkipWelds (bool createSkipWelds)
 Sets a value indicating whether to create skip welds
Created in NX9.0.0. More...
 
void SetDistanceTolerance (double distanceTolerance)
 Sets the distance tolerance
Created in NX9.0.0. More...
 
void SetEdgeType (NXOpen::Weld::WeldGrooveBuilder::Edge edgeType)
 Sets the edge type
Created in NX9.0.0. More...
 
void SetMethod (NXOpen::Weld::WeldGrooveBuilder::SkipWeldMethod method)
 Sets the method for creating skip welds
Created in NX9.0.0. More...
 
void SetPrepareEdges (NXOpen::Weld::WeldGrooveBuilder::Prepare prepareEdges)
 Sets the type of edges to prepare
Created in NX9.0.0. More...
 
void SetRecreateDeletedWelds (bool recreateDeletedWelds)
 Sets a value indicating whether to recreate deleted welds
Created in NX9.0.0. More...
 
void SetRootOpening (bool isRootOpening)
 Sets a value indicating whether root opening is true
Created in NX9.0.0. More...
 
void SetRootPenetration (bool isRootPenetration)
 Sets a value indicating whether root depth is true
Created in NX9.0.0. More...
 
void SetSeedFace1 (NXOpen::Face *seedFace1)
 Sets the first seed face
Created in NX9.0.0. More...
 
void SetSeedFace2 (NXOpen::Face *seedFace2)
 Sets the second seed face
Created in NX9.0.0. More...
 
void SetSeedPoint1 (const NXOpen::Point3d &seedPoint1)
 Sets the point on the first face
Created in NX9.0.0. More...
 
void SetSeedPoint2 (const NXOpen::Point3d &seedPoint1)
 Sets the point on the second face
Created in NX9.0.0. More...
 
void SetSingleFaceSet (bool singleFaceSet)
 Sets a value indicating whether the single face set is true
Created in NX9.0.0. More...
 
void SetTaperMethod (NXOpen::Weld::WeldGrooveBuilder::Taper taperMethod)
 Sets the taper method
Created in NX9.0.0. More...
 
void SetType (NXOpen::Weld::WeldGrooveBuilder::Types type)
 Sets the type of the groove
Created in NX9.0.0. More...
 
void SetUparameter1 (double u1)
 Sets the u parameter for first face
Created in NX9.0.0. More...
 
void SetUparameter2 (double u2)
 Sets the u parameter for second face
Created in NX9.0.0. More...
 
void SetUseFillin (bool useFillin)
 Sets a value indicating whether to use fillin
Created in NX9.0.0. More...
 
void SetVparameter1 (double v1)
 Sets the v parameter for first face
Created in NX9.0.0. More...
 
void SetVparameter2 (double v2)
 Sets the v parameter for second face
Created in NX9.0.0. More...
 
void SetWeldSymmetric (bool weldSymmetric)
 Sets a value indicating whether the second depth is the same as the first depth
Created in NX9.0.0. More...
 
bool SingleFaceSet ()
 Returns a value indicating whether the single face set is true
Created in NX9.0.0. More...
 
NXOpen::ExpressionSpacing ()
 Returns the spacing between welds
Created in NX9.0.0. More...
 
NXOpen::ExpressionStartAngle ()
 Returns the taper angle at the start of the weld
Created in NX9.0.0. More...
 
NXOpen::GeometricUtilities::OnPathDimensionBuilderStartDistance ()
 Returns the start limit as defined by the distance along the edge
Created in NX9.0.0. More...
 
NXOpen::Weld::WeldGrooveBuilder::Taper TaperMethod ()
 Returns the taper method
Created in NX9.0.0. More...
 
NXOpen::Weld::WeldGrooveBuilder::Types Type ()
 Returns the type of the groove
Created in NX9.0.0. More...
 
double Uparameter1 ()
 Returns the u parameter for first face
Created in NX9.0.0. More...
 
double Uparameter2 ()
 Returns the u parameter for second face
Created in NX9.0.0. More...
 
bool UseFillin ()
 Returns a value indicating whether to use fillin
Created in NX9.0.0. More...
 
double Vparameter1 ()
 Returns the v parameter for first face
Created in NX9.0.0. More...
 
double Vparameter2 ()
 Returns the v parameter for second face
Created in NX9.0.0. More...
 
bool WeldSymmetric ()
 Returns a value indicating whether the second depth is the same as the first depth
Created in NX9.0.0. More...
 
- Public Member Functions inherited from NXOpen::Features::FeatureBuilder
NXOpen::Features::FeatureCommitFeature ()
 Commits the feature parameters and creates the feature. More...
 
NXOpen::Features::FeatureGetFeature ()
 Returns the feature currently being edited by this builder. More...
 
void HideInternalParentFeatureAfterEdit (NXOpen::Features::Feature *parentFeature)
 Re-suppress an internal parent feature (a slave feature) after it has been edited. More...
 
bool ParentFeatureInternal ()
 Returns whether or not the latest timestamped parent feature of this feature should be made internal
Created in NX5.0.0. More...
 
bool PatchSolutionFlag ()
 Returns the patch solution flag
Created in NX8.0.1. More...
 
NXString PatchSurfaceFilename ()
 Returns the patch surface filename
Created in NX8.0.1. More...
 
void SetParentFeatureInternal (NXOpen::Features::Feature *parentFeature)
 Set the parent features which would be internal or slaves to the feature being created or commited
Created in NX6.0.0. More...
 
void SetParentFeatureInternal (bool isInternal)
 Sets whether or not the latest timestamped parent feature of this feature should be made internal
Created in NX5.0.0. More...
 
void SetPatchSolutionFlag (bool optionValue)
 Sets the patch solution flag
Created in NX8.0.1. More...
 
void SetPatchSurfaceFilename (const NXString &surfaceFilename)
 Sets the patch surface filename
Created in NX8.0.1. More...
 
void SetPatchSurfaceFilename (const char *surfaceFilename)
 Sets the patch surface filename
Created in NX8.0.1. More...
 
void SetSurroundingPatchSurfaceFilename (const NXString &surroundingSurfaceFilename)
 Sets the surrounding patch surface filename
Created in NX8.0.1. More...
 
void SetSurroundingPatchSurfaceFilename (const char *surroundingSurfaceFilename)
 Sets the surrounding patch surface filename
Created in NX8.0.1. More...
 
void ShowInternalParentFeatureForEdit (NXOpen::Features::Feature *parentFeature)
 Unsuppress an internal parent feature (a slave feature) so it can be edited. More...
 
NXString SurroundingPatchSurfaceFilename ()
 Returns the surrounding patch surface filename
Created in NX8.0.1. More...
 
void UnsetParentFeatureInternal (NXOpen::Features::Feature *parentFeature)
 Set the internal parent feature of the feature being edited to external
Created in NX6.0.0. More...
 
- Public Member Functions inherited from NXOpen::Builder
NXOpen::NXObjectCommit ()
 Commits any edits that have been applied to the builder. More...
 
void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
std::vector< NXOpen::NXObject * > GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
NXOpen::NXObjectGetObject ()
 Returns the object currently being edited by this builder. More...
 
void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
virtual bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen::TaggedObject
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description

Represents a NXOpen::Weld::WeldGroove builder
To create a new instance of this class, use NXOpen::Weld::WeldManager::CreateWeldGroove1Builder
Default values.

Property Value

AssignWeldPMI

0

ContourHeight.Value

3.0 (millimeters part), 0.118 (inches part)

ContourType

None

CreateSkipWelds

0

EdgeType

NotPrepared

EndAngle.Value

0

GrooveAngle.Value

45.0

GrooveRadius.Value

1.0 (millimeters part), 0.04 (inches part)

IsRootOpening

0

IsRootPenetration

0

Method

NumberLength

NumberOfWelds.Value

3

PenetrationDepth.Value

3.0 (millimeters part), 0.118 (inches part)

PrepareEdges

EntireLength

RecreateDeletedWelds

0

RootOpening.Value

3.0 (millimeters part), 0.118 (inches part)

RootPenetration.Value

3.0 (millimeters part), 0.118 (inches part)

SecondPenetrationDepth.Value

0 (millimeters part), 0 (inches part)

SegmentLength.Value

3.0 (millimeters part), 0.118 (inches part)

SingleFaceSet

0

Spacing.Value

3.0 (millimeters part), 0.118 (inches part)

StartAngle.Value

0

TaperMethod

FromTopFace

Type

SquareButt

UseFillin

0

WeldSymmetric

1


Created in NX9.0.0.

Member Enumeration Documentation

The options for Contour Type.

Enumerator
ContourNone 

None.

ContourConvex 

Convex.

ContourFlush 

Flush.

ContourConcave 

concave

A value indicating whether the edges have been prepared.

Enumerator
EdgeNotPrepared 

Not Prepared.

EdgePrepared 

Prepared.

The type of edges to be prepared.

Enumerator
PrepareNone 

None.

PrepareEntireLength 

Entire Length.

PrepareWeldLimits 

Weld Limits.

PrepareComplex 

Complex.

The options for creating Skip Weld.

Enumerator
SkipWeldMethodNumberLength 

Number and Length.

SkipWeldMethodNumberSpacing 

Number and Spacing.

SkipWeldMethodSpacingLength 

Spacing and Length.

The type of Taper Method.

Enumerator
TaperFromEndFace 

From End Face.

TaperFromTopFace 

From Top Face.

The types of Groove to create.

Enumerator
TypesSquareButt 

Square Butt.

TypesVGroove 

V Groove.

TypesBevelGroove 

Bevel Groove.

TypesUGroove 

U Groove.

TypesJGroove 

J Groove.

TypesFlaredVGroove 

Flared V Groove.

TypesFlaredBevelGroove 

Flared Bevel Groove.

TypesFillinFlaredVGroove 

fillin flared vgroove

TypesFillinFlaredBevelGroove 

Fillin Flared Bevel Groove.

Member Function Documentation

bool NXOpen::Weld::WeldGrooveBuilder::AssignWeldPMI ( )

Returns a value indicating whether the assign weld pmi is true
Created in NX9.0.0.



License requirements : ugweld ("UG WELD")

NXOpen::Weld::CharacteristicsBuilder* NXOpen::Weld::WeldGrooveBuilder::Characteristics ( )

Returns the characteristics
Created in NX9.0.0.



License requirements : ugweld ("UG WELD")

NXOpen::Expression* NXOpen::Weld::WeldGrooveBuilder::ContourHeight ( )

Returns the contour height
Created in NX9.0.0.



License requirements : ugweld ("UG WELD")

NXOpen::Weld::WeldGrooveBuilder::Contour NXOpen::Weld::WeldGrooveBuilder::ContourType ( )

Returns the contour type
Created in NX9.0.0.



License requirements : ugweld ("UG WELD")

bool NXOpen::Weld::WeldGrooveBuilder::CreateSkipWelds ( )

Returns a value indicating whether to create skip welds
Created in NX9.0.0.



License requirements : ugweld ("UG WELD")

double NXOpen::Weld::WeldGrooveBuilder::DistanceTolerance ( )

Returns the distance tolerance
Created in NX9.0.0.



License requirements : ugweld ("UG WELD")

NXOpen::Section* NXOpen::Weld::WeldGrooveBuilder::EdgeSet1 ( )

Returns the first edge set
Created in NX9.0.0.



License requirements : ugweld ("UG WELD")

NXOpen::Section* NXOpen::Weld::WeldGrooveBuilder::EdgeSet2 ( )

Returns the second edge set
Created in NX9.0.0.



License requirements : ugweld ("UG WELD")

NXOpen::Weld::WeldGrooveBuilder::Edge NXOpen::Weld::WeldGrooveBuilder::EdgeType ( )

Returns the edge type
Created in NX9.0.0.



License requirements : ugweld ("UG WELD")

NXOpen::Expression* NXOpen::Weld::WeldGrooveBuilder::EndAngle ( )

Returns the taper angle at the end of the weld
Created in NX9.0.0.



License requirements : ugweld ("UG WELD")

NXOpen::GeometricUtilities::OnPathDimensionBuilder* NXOpen::Weld::WeldGrooveBuilder::EndDistance ( )

Returns the end limit as defined by the distance along the edge
Created in NX9.0.0.



License requirements : ugweld ("UG WELD")

NXOpen::ScCollector* NXOpen::Weld::WeldGrooveBuilder::FaceSet1 ( )

Returns the face set1
Created in NX9.0.0.



License requirements : ugweld ("UG WELD")

NXOpen::ScCollector* NXOpen::Weld::WeldGrooveBuilder::FaceSet2 ( )

Returns the face set2
Created in NX9.0.0.



License requirements : ugweld ("UG WELD")

NXOpen::Expression* NXOpen::Weld::WeldGrooveBuilder::GrooveAngle ( )

Returns the groove angle
Created in NX9.0.0.



License requirements : ugweld ("UG WELD")

NXOpen::Expression* NXOpen::Weld::WeldGrooveBuilder::GrooveRadius ( )

Returns the groove radius
Created in NX9.0.0.



License requirements : ugweld ("UG WELD")

bool NXOpen::Weld::WeldGrooveBuilder::IsRootOpening ( )

Returns a value indicating whether root opening is true
Created in NX9.0.0.



License requirements : ugweld ("UG WELD")

bool NXOpen::Weld::WeldGrooveBuilder::IsRootPenetration ( )

Returns a value indicating whether root depth is true
Created in NX9.0.0.



License requirements : ugweld ("UG WELD")

NXOpen::Weld::WeldGrooveBuilder::SkipWeldMethod NXOpen::Weld::WeldGrooveBuilder::Method ( )

Returns the method for creating skip welds
Created in NX9.0.0.



License requirements : ugweld ("UG WELD")

NXOpen::Expression* NXOpen::Weld::WeldGrooveBuilder::NumberOfWelds ( )

Returns the number of welds
Created in NX9.0.0.



License requirements : ugweld ("UG WELD")

NXOpen::Expression* NXOpen::Weld::WeldGrooveBuilder::PenetrationDepth ( )

Returns the penetration depth
Created in NX9.0.0.



License requirements : ugweld ("UG WELD")

NXOpen::Weld::WeldGrooveBuilder::Prepare NXOpen::Weld::WeldGrooveBuilder::PrepareEdges ( )

Returns the type of edges to prepare
Created in NX9.0.0.



License requirements : ugweld ("UG WELD")

bool NXOpen::Weld::WeldGrooveBuilder::RecreateDeletedWelds ( )

Returns a value indicating whether to recreate deleted welds
Created in NX9.0.0.



License requirements : ugweld ("UG WELD")

NXOpen::Expression* NXOpen::Weld::WeldGrooveBuilder::RootOpening ( )

Returns the root opening
Created in NX9.0.0.



License requirements : ugweld ("UG WELD")

NXOpen::Expression* NXOpen::Weld::WeldGrooveBuilder::RootPenetration ( )

Returns the root penetration
Created in NX9.0.0.



License requirements : ugweld ("UG WELD")

NXOpen::Expression* NXOpen::Weld::WeldGrooveBuilder::SecondPenetrationDepth ( )

Returns the second penetration depth
Created in NX9.0.0.



License requirements : ugweld ("UG WELD")

NXOpen::Face* NXOpen::Weld::WeldGrooveBuilder::SeedFace1 ( )

Returns the first seed face
Created in NX9.0.0.



License requirements : ugweld ("UG WELD")

NXOpen::Face* NXOpen::Weld::WeldGrooveBuilder::SeedFace2 ( )

Returns the second seed face
Created in NX9.0.0.



License requirements : ugweld ("UG WELD")

NXOpen::Point3d NXOpen::Weld::WeldGrooveBuilder::SeedPoint1 ( )

Returns the point on the first face
Created in NX9.0.0.



License requirements : ugweld ("UG WELD")

NXOpen::Point3d NXOpen::Weld::WeldGrooveBuilder::SeedPoint2 ( )

Returns the point on the second face
Created in NX9.0.0.



License requirements : ugweld ("UG WELD")

NXOpen::Expression* NXOpen::Weld::WeldGrooveBuilder::SegmentLength ( )

Returns the length of weld
Created in NX9.0.0.



License requirements : ugweld ("UG WELD")

void NXOpen::Weld::WeldGrooveBuilder::SetAssignWeldPMI ( bool  assignWeldPMI)

Sets a value indicating whether the assign weld pmi is true
Created in NX9.0.0.



License requirements : ugweld ("UG WELD")

Parameters
assignWeldPMIassignweldpmi
void NXOpen::Weld::WeldGrooveBuilder::SetContourType ( NXOpen::Weld::WeldGrooveBuilder::Contour  contour)

Sets the contour type
Created in NX9.0.0.



License requirements : ugweld ("UG WELD")

Parameters
contourcontour
void NXOpen::Weld::WeldGrooveBuilder::SetCreateSkipWelds ( bool  createSkipWelds)

Sets a value indicating whether to create skip welds
Created in NX9.0.0.



License requirements : ugweld ("UG WELD")

Parameters
createSkipWeldscreateskipwelds
void NXOpen::Weld::WeldGrooveBuilder::SetDistanceTolerance ( double  distanceTolerance)

Sets the distance tolerance
Created in NX9.0.0.



License requirements : ugweld ("UG WELD")

Parameters
distanceTolerancedistancetolerance
void NXOpen::Weld::WeldGrooveBuilder::SetEdgeType ( NXOpen::Weld::WeldGrooveBuilder::Edge  edgeType)

Sets the edge type
Created in NX9.0.0.



License requirements : ugweld ("UG WELD")

Parameters
edgeTypeedgetype
void NXOpen::Weld::WeldGrooveBuilder::SetMethod ( NXOpen::Weld::WeldGrooveBuilder::SkipWeldMethod  method)

Sets the method for creating skip welds
Created in NX9.0.0.



License requirements : ugweld ("UG WELD")

Parameters
methodmethod
void NXOpen::Weld::WeldGrooveBuilder::SetPrepareEdges ( NXOpen::Weld::WeldGrooveBuilder::Prepare  prepareEdges)

Sets the type of edges to prepare
Created in NX9.0.0.



License requirements : ugweld ("UG WELD")

Parameters
prepareEdgesprepareedges
void NXOpen::Weld::WeldGrooveBuilder::SetRecreateDeletedWelds ( bool  recreateDeletedWelds)

Sets a value indicating whether to recreate deleted welds
Created in NX9.0.0.



License requirements : ugweld ("UG WELD")

Parameters
recreateDeletedWeldsrecreatedeletedwelds
void NXOpen::Weld::WeldGrooveBuilder::SetRootOpening ( bool  isRootOpening)

Sets a value indicating whether root opening is true
Created in NX9.0.0.



License requirements : ugweld ("UG WELD")

Parameters
isRootOpeningisrootopening
void NXOpen::Weld::WeldGrooveBuilder::SetRootPenetration ( bool  isRootPenetration)

Sets a value indicating whether root depth is true
Created in NX9.0.0.



License requirements : ugweld ("UG WELD")

Parameters
isRootPenetrationisrootpenetration
void NXOpen::Weld::WeldGrooveBuilder::SetSeedFace1 ( NXOpen::Face seedFace1)

Sets the first seed face
Created in NX9.0.0.



License requirements : ugweld ("UG WELD")

Parameters
seedFace1seedface1
void NXOpen::Weld::WeldGrooveBuilder::SetSeedFace2 ( NXOpen::Face seedFace2)

Sets the second seed face
Created in NX9.0.0.



License requirements : ugweld ("UG WELD")

Parameters
seedFace2seedface2
void NXOpen::Weld::WeldGrooveBuilder::SetSeedPoint1 ( const NXOpen::Point3d seedPoint1)

Sets the point on the first face
Created in NX9.0.0.



License requirements : ugweld ("UG WELD")

Parameters
seedPoint1seedpoint1
void NXOpen::Weld::WeldGrooveBuilder::SetSeedPoint2 ( const NXOpen::Point3d seedPoint1)

Sets the point on the second face
Created in NX9.0.0.



License requirements : ugweld ("UG WELD")

Parameters
seedPoint1seedpoint1
void NXOpen::Weld::WeldGrooveBuilder::SetSingleFaceSet ( bool  singleFaceSet)

Sets a value indicating whether the single face set is true
Created in NX9.0.0.



License requirements : ugweld ("UG WELD")

Parameters
singleFaceSetsinglefaceset
void NXOpen::Weld::WeldGrooveBuilder::SetTaperMethod ( NXOpen::Weld::WeldGrooveBuilder::Taper  taperMethod)

Sets the taper method
Created in NX9.0.0.



License requirements : ugweld ("UG WELD")

Parameters
taperMethodtapermethod
void NXOpen::Weld::WeldGrooveBuilder::SetType ( NXOpen::Weld::WeldGrooveBuilder::Types  type)

Sets the type of the groove
Created in NX9.0.0.



License requirements : ugweld ("UG WELD")

Parameters
typetype
void NXOpen::Weld::WeldGrooveBuilder::SetUparameter1 ( double  u1)

Sets the u parameter for first face
Created in NX9.0.0.



License requirements : ugweld ("UG WELD")

Parameters
u1u1
void NXOpen::Weld::WeldGrooveBuilder::SetUparameter2 ( double  u2)

Sets the u parameter for second face
Created in NX9.0.0.



License requirements : ugweld ("UG WELD")

Parameters
u2u2
void NXOpen::Weld::WeldGrooveBuilder::SetUseFillin ( bool  useFillin)

Sets a value indicating whether to use fillin
Created in NX9.0.0.



License requirements : ugweld ("UG WELD")

Parameters
useFillinusefillin
void NXOpen::Weld::WeldGrooveBuilder::SetVparameter1 ( double  v1)

Sets the v parameter for first face
Created in NX9.0.0.



License requirements : ugweld ("UG WELD")

Parameters
v1v1
void NXOpen::Weld::WeldGrooveBuilder::SetVparameter2 ( double  v2)

Sets the v parameter for second face
Created in NX9.0.0.



License requirements : ugweld ("UG WELD")

Parameters
v2v2
void NXOpen::Weld::WeldGrooveBuilder::SetWeldSymmetric ( bool  weldSymmetric)

Sets a value indicating whether the second depth is the same as the first depth
Created in NX9.0.0.



License requirements : ugweld ("UG WELD")

Parameters
weldSymmetricweldsymmetric
bool NXOpen::Weld::WeldGrooveBuilder::SingleFaceSet ( )

Returns a value indicating whether the single face set is true
Created in NX9.0.0.



License requirements : ugweld ("UG WELD")

NXOpen::Expression* NXOpen::Weld::WeldGrooveBuilder::Spacing ( )

Returns the spacing between welds
Created in NX9.0.0.



License requirements : ugweld ("UG WELD")

NXOpen::Expression* NXOpen::Weld::WeldGrooveBuilder::StartAngle ( )

Returns the taper angle at the start of the weld
Created in NX9.0.0.



License requirements : ugweld ("UG WELD")

NXOpen::GeometricUtilities::OnPathDimensionBuilder* NXOpen::Weld::WeldGrooveBuilder::StartDistance ( )

Returns the start limit as defined by the distance along the edge
Created in NX9.0.0.



License requirements : ugweld ("UG WELD")

NXOpen::Weld::WeldGrooveBuilder::Taper NXOpen::Weld::WeldGrooveBuilder::TaperMethod ( )

Returns the taper method
Created in NX9.0.0.



License requirements : ugweld ("UG WELD")

NXOpen::Weld::WeldGrooveBuilder::Types NXOpen::Weld::WeldGrooveBuilder::Type ( )

Returns the type of the groove
Created in NX9.0.0.



License requirements : ugweld ("UG WELD")

double NXOpen::Weld::WeldGrooveBuilder::Uparameter1 ( )

Returns the u parameter for first face
Created in NX9.0.0.



License requirements : ugweld ("UG WELD")

double NXOpen::Weld::WeldGrooveBuilder::Uparameter2 ( )

Returns the u parameter for second face
Created in NX9.0.0.



License requirements : ugweld ("UG WELD")

bool NXOpen::Weld::WeldGrooveBuilder::UseFillin ( )

Returns a value indicating whether to use fillin
Created in NX9.0.0.



License requirements : ugweld ("UG WELD")

double NXOpen::Weld::WeldGrooveBuilder::Vparameter1 ( )

Returns the v parameter for first face
Created in NX9.0.0.



License requirements : ugweld ("UG WELD")

double NXOpen::Weld::WeldGrooveBuilder::Vparameter2 ( )

Returns the v parameter for second face
Created in NX9.0.0.



License requirements : ugweld ("UG WELD")

bool NXOpen::Weld::WeldGrooveBuilder::WeldSymmetric ( )

Returns a value indicating whether the second depth is the same as the first depth
Created in NX9.0.0.



License requirements : ugweld ("UG WELD")


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.